Loading...
Searching...
No Matches
gtsam::FastList< VALUE > Class Template Reference
Base

## Detailed Description

template<typename VALUE>
class gtsam::FastList< VALUE >

FastList is a thin wrapper around std::list that uses the boost fast_pool_allocator instead of the default STL allocator.

This is just a convenience to avoid having lengthy types in the code. Through timing, we've seen that the fast_pool_allocator can lead to speedups of several percent.

Inheritance diagram for gtsam::FastList< VALUE >:

## Public Member Functions

| FastList ()
| Default constructor.
template<typename INPUTITERATOR>
| FastList (INPUTITERATOR first, INPUTITERATOR last)
| Constructor from a range, passes through to base class.
| FastList (const FastList< VALUE > &x)
| Copy constructor from another FastList.
| FastList (const Base &x)
| Copy constructor from the base list class.
| FastList (std::initializer_list< VALUE > l)
| Construct from c++11 initializer list:
| operator std::list< VALUE > () const
| Conversion to a standard STL container.

## Public Types

typedef std::list< VALUE, typename internal::FastDefaultAllocator< VALUE >::type > | Base

## Friends

class | boost::serialization::access
| Serialization function.

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/FastList.h